Get router metrics
curl --request POST \
--url https://api.gcore.com/cloud/v1/routers/{project_id}/{region_id}/{router_id}/metrics \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"time_interval": 6,
"time_unit": "hour"
}
'import requests
url = "https://api.gcore.com/cloud/v1/routers/{project_id}/{region_id}/{router_id}/metrics"
payload = {
"time_interval": 6,
"time_unit": "hour"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({time_interval: 6, time_unit: 'hour'})
};
fetch('https://api.gcore.com/cloud/v1/routers/{project_id}/{region_id}/{router_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"interface_type": "public",
"ip_addresses": [
"10.0.0.1"
],
"metrics": [
{
"network_bps_egress": 816,
"network_bps_ingress": 816,
"network_pps_egress": 0.7,
"network_pps_ingress": 0.7,
"time": "2020-07-07T12:57:00Z"
}
],
"network_id": "ccd5b925-e35c-4611-a511-67ab503104c8",
"port_id": "013e399e-a9f1-4b5c-9e2d-3f4a5b6c7d8e"
}
]
}Routers
Get router metrics
Get the network traffic of each router interface, in bits and packets per second.
POST
/
cloud
/
v1
/
routers
/
{project_id}
/
{region_id}
/
{router_id}
/
metrics
Get router metrics
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Router ID
Example:
"ccd5b925-e35c-4611-a511-67ab503104c8"
Body
application/json
Was this page helpful?